# Poly Roadmap

This is the roadmap for specific Poly features. Roadmaps for devops and community related projects forthcoming.

## The easiest ways to help

* Star the repo to help with SEO.

* Join our [Discord](https://discord.com/invite/Hc8Ncwt), introduce yourself, sign up for notifications that interest you, and get involved.

* Check out our [PRs](https://github.com/TimothyStiles/poly/pulls) and please help with code review. We need way more people looking at PRs.

* If you're a dev in the field use Poly for work.

* If you're a c-suite / marketing and sales type just hype Poly as much as you can to your clients, customers, friends, and business partners.

## Features for Summer 2021 - The Summer of Metabalomics and optimized expression

* Ribosome site calculation, RNA folding, and minimum free energy calculations will be merged from Vivek's ongoing PRs.

* An MVP for allbase will be deployed that will handle large scale querying of genomic, metabolic, and protein data. Final product will be able to map metabolic pathways.

* Non-repetitive parts calculation will be added to optimize stability and expression of cell strains.

* DNA synthesis optimization will be finished and merged from Keoni's PR.

* A cell strain build system that will design necessary constructs to engineer stable cell strains using what we develop this Summer.

## Stability milestones

* Refactor Poly to use proper error handling everywhere. Especially file IO and the genbank parser.
* Write tutorials for each new subpackage and an overview tutorial for the root package.
* Refactor and finalize the Sequence struct.

## Things to look forward to for this Fall's roadmap

* ML ops and the deploying of machine learning models for protein engineering, DNA stuff, and everything related to engineering organisms.
